Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.exception
Class DuplicateDotFileException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.netuix.application.exception.NetuixException
                  com.bea.netuix.application.exception.DuplicateObjectException
                      com.bea.netuix.application.exception.DuplicateDotFileException

All Implemented Interfaces
  Serializable

    public class DuplicateDotFileException

extends DuplicateObjectException

This is a subclass of DuplicateObjectException for duplicates that occur when importing file-based objects.

See Also
  Serialized Form

Constructor Summary
`DuplicateDotFileException(String message, String newFilePath, String existingFilePath, String duplicatedLabel)` Constructs a `DuplicateObjectException` with the specified detail message.

Method Summary
`String` | `getDuplicatedLabel()`
`String` | `getExistingFilePath()`
`String` | `getNewFilePath()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DuplicateDotFileException

    public DuplicateDotFileException(String message,
                                     String newFilePath,
                                     String existingFilePath,
                                     String duplicatedLabel)

  Constructs a `DuplicateObjectException` with the specified detail message.

  Parameters
    `message` - The detail message

Method Detail

### getExistingFilePath

    public String getExistingFilePath()

### getNewFilePath

    public String getNewFilePath()

### getDuplicatedLabel

    public String getDuplicatedLabel()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.